import { Symbol } from 'typescript';
import { ClassLikeExportDoc } from '../api-doc-types/ClassLikeExportDoc';
import { MemberDoc } from '../api-doc-types/MemberDoc';
import { MethodMemberDoc } from '../api-doc-types/MethodMemberDoc';
import { ModuleDoc } from '../api-doc-types/ModuleDoc';
import { Host } from '../services/ts-host/host';
/**
 * Classes are Class-like but also can contain static members
 * and cannot have multiple declarations
 */
export declare class ClassExportDoc extends ClassLikeExportDoc {
    docType: string;
    constructorDoc: MethodMemberDoc | undefined;
    statics: MemberDoc[];
    isAbstract: boolean | undefined;
    constructor(host: Host, moduleDoc: ModuleDoc, symbol: Symbol, aliasSymbol?: Symbol);
    private getConstructorDoc;
}
