"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const ContainerExportDoc_1 = require("./ContainerExportDoc");
/**
 * Enum docs contain members and can have multiple declaration, which are merged,
 * but they cannot have decorators or type parameters
 */
class EnumExportDoc extends ContainerExportDoc_1.ContainerExportDoc {
    constructor(host, moduleDoc, symbol, aliasSymbol) {
        super(host, moduleDoc, symbol, symbol.valueDeclaration, aliasSymbol);
        this.docType = 'enum';
        this.additionalDeclarations = [];
        this.additionalDeclarations = symbol.getDeclarations().filter(declaration => declaration !== this.declaration);
        if (symbol.exports) {
            this.members = this.getMemberDocs(symbol.exports, true);
        }
    }
}
exports.EnumExportDoc = EnumExportDoc;
//# sourceMappingURL=EnumExportDoc.js.map