import { Declaration } from 'typescript';
import { BaseApiDoc } from './ApiDoc';
import { FunctionExportDoc } from './FunctionExportDoc';
import { ModuleDoc } from './ModuleDoc';
import { ParameterContainer } from './ParameterContainer';
import { ParameterDoc } from './ParameterDoc';
/**
 * This represents a single overload of an exported function.
 * There will be a FunctionExportDoc that contains these overloads
 */
export declare class OverloadInfo extends BaseApiDoc implements ParameterContainer {
    functionDoc: FunctionExportDoc;
    docType: string;
    readonly parameterDocs: ParameterDoc[];
    readonly parameters: string[];
    type: string;
    containerDoc: ModuleDoc;
    constructor(functionDoc: FunctionExportDoc, declaration: Declaration);
}
