"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = require("typescript");
const getDeclarationTypeText_1 = require("../services/TsParser/getDeclarationTypeText");
const ParameterizedExportDoc_1 = require("./ParameterizedExportDoc");
class TypeAliasExportDoc extends ParameterizedExportDoc_1.ParameterizedExportDoc {
    constructor(host, moduleDoc, exportSymbol, aliasSymbol) {
        super(host, moduleDoc, exportSymbol, getTypeAliasDeclaration(exportSymbol.getDeclarations()), aliasSymbol);
        this.docType = 'type-alias';
        this.typeDefinition = getDeclarationTypeText_1.getDeclarationTypeText(this.declaration);
    }
}
exports.TypeAliasExportDoc = TypeAliasExportDoc;
function getTypeAliasDeclaration(declarations) {
    return declarations.find(declaration => declaration.kind === typescript_1.SyntaxKind.TypeAliasDeclaration);
}
//# sourceMappingURL=TypeAliasExportDoc.js.map