"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = require("typescript");
const nodeToString_1 = require("./nodeToString");
function getHeritageClause(declaration) {
    let heritageString = '';
    if (declaration.heritageClauses) {
        declaration.heritageClauses.forEach(heritage => {
            if (heritage.token === typescript_1.SyntaxKind.ExtendsKeyword)
                heritageString += ' extends';
            if (heritage.token === typescript_1.SyntaxKind.ImplementsKeyword)
                heritageString += ' implements';
            heritageString += heritage.types.map(typ => ' ' + nodeToString_1.nodeToString(typ)).join(',');
        });
    }
    return heritageString;
}
exports.getHeritageClause = getHeritageClause;
//# sourceMappingURL=getHeritageClause.js.map