"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _1 = require(".");
const getHeritageClause_1 = require("./getHeritageClause");
const path = require('canonical-path');
describe('getHeritageClause', () => {
    let parser;
    let basePath;
    beforeEach(() => {
        parser = new _1.TsParser(require('dgeni/lib/mocks/log')(false));
        basePath = path.resolve(__dirname, '../../mocks');
    });
    it('should return the accessibility of class members', () => {
        const parseInfo = parser.parse(['tsParser/getHeritageClause.test.ts'], basePath);
        const moduleExports = parseInfo.moduleSymbols[0].exportArray;
        const test1 = expect(getHeritageClause_1.getHeritageClause(find(moduleExports, 'Test1'))).toEqual(' extends Base1');
        const test2 = expect(getHeritageClause_1.getHeritageClause(find(moduleExports, 'Test2'))).toEqual(' extends Base1, Base2');
        const test3 = expect(getHeritageClause_1.getHeritageClause(find(moduleExports, 'Test3'))).toEqual(' extends Base3');
        const test4 = expect(getHeritageClause_1.getHeritageClause(find(moduleExports, 'Test4'))).toEqual(' implements Base1');
        const test5 = expect(getHeritageClause_1.getHeritageClause(find(moduleExports, 'Test5'))).toEqual(' implements Base1, Base2');
        const test6 = expect(getHeritageClause_1.getHeritageClause(find(moduleExports, 'Test6'))).toEqual(' extends Base3 implements Base1');
        const test7 = expect(getHeritageClause_1.getHeritageClause(find(moduleExports, 'Test7'))).toEqual(' extends Base3 implements Base1, Base2');
    });
});
function find(moduleExports, name) {
    return moduleExports.find(value => value.name === name).declarations[0];
}
//# sourceMappingURL=getHeritageClause.spec.js.map